%define major 5
%define major_0 0
%define libguac %mklibname guac %{major}
%define libguac_cl_rdp %mklibname guac-client-rdp %{major_0}
%define libguac_cl_ssh %mklibname guac-client-ssh %{major_0}
%define libguac_cl_vnc %mklibname guac-client-vnc %{major_0}

%define develname %mklibname %{name} -d

%global _hardened_build 1
%global username guacd

Name:           guacd
Version:        0.6.0
Release:        %mkrel 4
Summary:        Server-side native components that form the Guacamole proxy
Group:          Networking/Other
License:        MPLv1.1 or GPLv2+
URL:            http://guac-dev.org/
Source0:        http://guac-dev.org/pub/dist/source/%{name}-%{version}.tar.gz
Source1:        %{name}.sysconfig
Source2:        %{name}.service
Source3:        %{name}.init
#Patch0:         %%{name}-0.8.3-autoconf.patch

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  doxygen
BuildRequires:  libtool
BuildRequires:  libguac-devel
BuildRequires:  pkgconfig(cairo)
#BuildRequires:  pkgconfig(freerdp) >= 1.0.2
BuildRequires:  pkgconfig(gnutls)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libssh)
BuildRequires:  pkgconfig(libssl)
BuildRequires:  pkgconfig(libvncserver)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(vorbis)

%description
Guacamole is an HTML5 remote desktop gateway.

Guacamole provides access to desktop environments using remote desktop protocols
like VNC and RDP. A centralized server acts as a tunnel and proxy, allowing
access to multiple desktops through a web browser.

No browser plugins are needed, and no client software needs to be installed. The
client requires nothing more than a web browser supporting HTML5 and AJAX.

The main web application is provided by the "guacamole-client" package.

%prep
%setup -q

%build
%configure2_5x

%make 

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete
find %{buildroot} -type f -name "*.a" -delete

mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
install -p -m 644 -D %{SOURCE1} %{buildroot}%{_sysconfdir}/sysconfig/guacd
mkdir -p %{buildroot}%{_sharedstatedir}/guacd

# Systemd unit files
mkdir -p %{buildroot}%{_unitdir}
install -p -m 644 -D %{SOURCE2} %{buildroot}%{_unitdir}/guacd.service

%pre 
getent group %username >/dev/null || groupadd -r %username &>/dev/null || :
getent passwd %username >/dev/null || useradd -r -s /sbin/nologin \
    -d %{_sharedstatedir}/guacd -M -c 'Guacamole proxy daemon' -g %username %username &>/dev/null || :
exit 0


%post 
%_post_service guacd

%preun 
%_preun_service guacd

%files 
%config(noreplace) %{_sysconfdir}/sysconfig/guacd
%{_mandir}/man8/guacd.8.*
%{_sbindir}/guacd
%{_unitdir}/guacd.service
%attr(750,%{username},%{username}) %{_sharedstatedir}/guacd


%changelog
* Thu Apr 28 2016 daviddavid <daviddavid> 0.6.0-4.mga6
+ Revision: 1007085
- disable freerdp support temporarily

* Fri Feb 19 2016 umeabot <umeabot> 0.6.0-3.mga6
+ Revision: 969808
- Mageia 6 Mass Rebuild

* Wed Sep 09 2015 neoclust <neoclust> 0.6.0-2.mga6
+ Revision: 874634
- imported package guacd


* Thu Nov 06 2014 nlecureuil <nlecureuil> 0.6.0-2.mbs1
+ Revision: 141540
- Branch eva in factory
- Fix default service file
- imported package guacd

